/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.builder.interceptor;

import org.fabric3.spi.builder.BuilderException;
import org.fabric3.spi.model.physical.PhysicalInterceptorDefinition;

/**
 * Thrown when an interceptor builder is not found for an QName
 *
 * @version $Rev: 585 $ $Date: 2007-07-25 21:18:55 +0100 (Wed, 25 Jul 2007) $
 */
public class InterceptorBuilderNotFoundException extends BuilderException {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = 2488739403986522382L;

    /**
     * @param clazz Interceptor definition class.
     */
    public InterceptorBuilderNotFoundException(Class<? extends PhysicalInterceptorDefinition> clazz) {
        super("Interceptor builder not found", clazz.getName());
    }
}
